API ReferenceArtifacts
Presign an artifact upload into a magickspace (end-user JWT)
Authorization
EndUserAuth AuthorizationBearer <token>
End-user JWT minted via POST /v1/end-users/tokens, sent as Authorization: Bearer <token>.
In: header
Path Parameters
magickspace_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/end-user/magickspaces/string/artifacts/presign" \ -H "Content-Type: application/json" \ -d '{ "content_type": "string", "size_bytes": 0 }'{ "bucket": "string", "expires_at": 0, "id": "string", "key": "string", "required_headers": { "property1": "string", "property2": "string" }, "s3_url": "string", "upload_url": "string"}{ "error": { "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "request_id": "string", "errors": [ { "field": "string", "message": "string" } ] }}{ "error": { "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "request_id": "string", "errors": [ { "field": "string", "message": "string" } ] }}